> ## Documentation Index
> Fetch the complete documentation index at: https://docs.odin.fun/llms.txt
> Use this file to discover all available pages before exploring further.

# Get user balances



## OpenAPI

````yaml get /user/{principal}/balances
openapi: 3.0.0
info:
  title: Odin API
  description: The Odin API documentation
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /user/{principal}/balances:
    get:
      tags:
        - Users
      operationId: UserController_getBalances
      parameters:
        - name: principal
          required: true
          in: path
          schema:
            type: string
        - name: page
          required: false
          in: query
          schema:
            type: number
        - name: limit
          required: false
          in: query
          schema:
            type: number
        - name: sort
          required: false
          in: query
          schema:
            nullable: true
            enum:
              - null
              - balance:asc
              - balance:desc
              - holding_value:asc
              - holding_value:desc
              - btc_first:asc
              - btc_first:desc
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/Paginated'
                  - properties:
                      data:
                        type: array
                        items:
                          $ref: '#/components/schemas/UserBalanceEntity'
components:
  schemas:
    Paginated:
      type: object
      properties:
        data:
          type: array
          items:
            type: string
        count:
          type: number
        page:
          type: number
        limit:
          type: number
      required:
        - data
        - count
        - page
        - limit
    UserBalanceEntity:
      type: object
      properties:
        id:
          type: string
        ticker:
          type: string
        rune:
          type: string
        name:
          type: string
        image:
          type: string
        divisibility:
          type: number
        decimals:
          type: number
        trading:
          type: boolean
        deposits:
          type: boolean
        withdrawals:
          type: boolean
        rune_id:
          type: string
        balance:
          type: number
          format: decimal
        type:
          type: string
      required:
        - id
        - ticker
        - rune
        - name
        - image
        - divisibility
        - decimals
        - trading
        - deposits
        - withdrawals
        - rune_id
        - balance
        - type

````